package cz.upol.logs;

import java.util.logging.Formatter;
import java.util.logging.Handler;
import java.util.logging.LogRecord;

public class HtmlFormatter extends Formatter {

	@Override
	public String format(LogRecord record) {
		StringBuilder buf = new StringBuilder();
		
		buf.append("<li>");
		buf.append(record.getLevel()).append(": ");
		buf.append(record.getMessage());
		buf.append("</li>\n");
		
		return buf.toString();
	}

	@Override
	public String getHead(Handler h) {
		return "<html><body><ul>\n";
	}

	@Override
	public String getTail(Handler h) {
		return "</ul></body></html>\n";
	}

}
